## ros-dashing-turtlebot3-cartographer 2.1.1

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.5)
project(turtlebot3_cartographer)

################################################################################
# Find ament packages and libraries for ament and system dependencies
################################################################################
find_package(ament_cmake REQUIRED)

################################################################################
# Install
################################################################################
install(
  DIRECTORY config launch rviz
  DESTINATION share/${PROJECT_NAME}
)

################################################################################
# Macro for ament package
################################################################################
ament_package()

=== debian/changelog ===
ros-dashing-turtlebot3-cartographer (2.1.1-2bionic) bionic; urgency=high

  * turtlebot3.repos updated to target correct distro
  * galactic-devel branch created
  * Eloquent EOL
  * Contributors: Ashe Kim, Will Son

 -- Will Son <willson@robotis.com>  Tue, 05 Jan 2021 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (2.1.0-2bionic) bionic; urgency=high

  * ROS 2 Foxy Fitzroy supported
  * ROS 2 Eloquent Elusor supported
  * Contributors: Ryan, Ashe

 -- Will Son <willson@robotis.com>  Sun, 21 Jun 2020 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (2.0.1-2bionic) bionic; urgency=high

  * Updated the CHANGELOG and version to release binary packages
  * Modified dependency packages
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 04 Sep 2019 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (2.0.0-2bionic) bionic; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Updated the CHANGELOG and version to release binary packages
  * Changed package name to turtlebot3_cartographer from turtlebot3_slam
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (1.2.2-2bionic) bionic; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (1.2.1-2bionic) bionic; urgency=high

  * Fixed ROS_ASSERT bug #416 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/416>
  * Contributors: ant, Ryan Shim, Kayman

 -- Pyo <pyo@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (1.2.0-2bionic) bionic; urgency=high

  * modified rosdep #342 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/342>
  * Contributors: Steven Macenski, Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (1.1.0-2bionic) bionic; urgency=high

  * added bringup to load multiple robot simply #251
  * added arguments for multiple robot
  * Contributors: Darby Lim, Gilbert, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 22 Jul 2018 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (1.0.0-2bionic) bionic; urgency=high

  * added cartographer
  * added hector mapping
  * added karto SLAM
  * added frontier_exploration
  * added launch files to run various SLAMs
  * modified pull request #220 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/220> #219 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/219> #215 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/215> #212 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/212> #202 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/202> #154 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/154> #153 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/153> #147 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/147> #146 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/146> #145 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/145>
  * Contributors: Darby Lim, ncnynl, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (0.2.1-2bionic) bionic; urgency=high

  * none

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (0.2.0-2bionic) bionic; urgency=high

  * removed the large bag file and added download command from other site
  * refactoring for release
  * Contributors: Hunter L. Allen, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 11 Mar 2018 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (0.1.6-2bionic) bionic; urgency=high

  * updated SLAM param
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 13 Aug 2017 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (0.1.5-2bionic) bionic; urgency=high

  * modified bag and map files
  * added SLAM bag files
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Wed, 24 May 2017 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (0.1.4-2bionic) bionic; urgency=high

  * modified launch file name
  * added teleop package
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Mon, 22 May 2017 15:00:00 -0000

ros-dashing-turtlebot3-cartographer (0.1.3-2bionic) bionic; urgency=high

  * modified the package information for release
  * modified SLAM param
  * modified the description, authors, depend option and delete the core package
  * modified the turtlebot bringup files
  * modified pkg setting for turtlebot3_core
  * modified the navigation package and turtlebot3 node for demo
  * modified the wheel speed gain
  * added Intel RealSense R200
  * added LDS sensor
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

=== debian/control ===
Source: ros-dashing-turtlebot3-cartographer
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ros-workspace
Homepage: http://turtlebot3.robotis.com
Standards-Version: 3.9.2

Package: ros-dashing-turtlebot3-cartographer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-cartographer-ros, ros-dashing-ros-workspace
Description: ROS 2 launch scripts for cartographer

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-turtlebot3-cartographer//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
